ContainedAttribute (Axis API)
Keywords: org.apache.axis.wsdl.symbolTable.ContainedAttribute class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class ContainedAttribute

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.ContainedEntry
              org.apache.axis.wsdl.symbolTable.ContainedAttribute

public class ContainedAttribute
extends ContainedEntry

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.ContainedEntry
`type`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`protected` | `ContainedAttribute(TypeEntry type, QName qname)`

Method Summary
`boolean` | `getOptional()` Method getOptional
`void` | `setOptional(boolean optional)` Method setOptional

Methods inherited from class org.apache.axis.wsdl.symbolTable.ContainedEntry
`getType, setType`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContainedAttribute

    protected ContainedAttribute(TypeEntry type,
                                 QName qname)

Parameters:
  `qname` -

Method Detail

### setOptional

    public void setOptional(boolean optional)

  Method setOptional

  Parameters:
    `optional` -

### getOptional

    public boolean getOptional()

  Method getOptional

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.